URE(4)

NAME
ure - RealTek RTL8152/RTL8153 10/100/Gigabit USB Ethernet device

SYNOPSIS
ure* at uhub?
rgephy* at mii?
rlphy* at mii?

DESCRIPTION
The ure driver provides support for USB Ethernet adapters based on the RealTek RTL8152 USB Fast Ethernet and RTL8153 USB Gigabit Ethernet controller chips.

The RTL8152 contains an integrated Fast Ethernet MAC, which supports both 10 and 100Mbps speeds in either full or half duplex. The RTL8153 has a Gigabit Ethernet MAC and additionally supports 1000Mbps speeds.

For more information on configuring this device, see ifconfig(8).

SEE ALSO
arp(4), ifmedia(4), mii(4), netintro(4), rgephy(4), rlphy(4), uhub(4), usb(4), hostname.if(5), ifconfig(8)

HISTORY
The ure device driver first appeared in OpenBSD 6.0.

AUTHORS
The ure driver was written by Kevin Lo <kevlo@FreeBSD.org>.